Backported to glibc 2.8
authorJesper Derehag <jderehag@hotmail.com>
Thu, 24 Apr 2014 08:22:50 +0000 (10:22 +0200)
committerDavid Goulet <dgoulet@efficios.com>
Wed, 30 Apr 2014 16:50:13 +0000 (12:50 -0400)
commitf263b7fd113e51d0737554e8232b8669e142a260
tree728eac1e45128d3cabb5a28b9bf2ad070c6414ab
parent627dbfd8d6c385e5916472e6b8e606514994a8d4
Backported to glibc 2.8

This patch enables lttng-tools to run on top of glibc 2.8.
Overall it fixes 2 things:
1. No support for epoll_create1(..) and EPOLL_CLOEXEC.
2. No support for htobe/betoh

For 1, we revert back to epoll_create() and then sets CLOEXEC through
fcntl instead.

For 2, we define htobe/betoh as part of the compat/endian.h and make
sure that any users of those functions actually include compat/endian.h
instead of implicit include of system endian.h

Acked-by: Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
Tested-by: Jesper Derehag <jderehag@hotmail.com>
Signed-off-by: Jesper Derehag <jderehag@hotmail.com>
Signed-off-by: David Goulet <dgoulet@efficios.com>
16 files changed:
src/bin/lttng-relayd/cmd-2-2.c
src/bin/lttng-relayd/cmd-2-4.c
src/bin/lttng-relayd/live.c
src/bin/lttng-relayd/main.c
src/bin/lttng-sessiond/jul-thread.c
src/bin/lttng-sessiond/jul.c
src/common/compat/compat-epoll.c
src/common/compat/endian.h
src/common/compat/poll.h
src/common/consumer-timer.c
src/common/consumer.c
src/common/index/index.c
src/common/kernel-consumer/kernel-consumer.c
src/common/relayd/relayd.c
src/common/ust-consumer/ust-consumer.c
tests/regression/tools/live/live_test.c
This page took 0.036329 seconds and 4 git commands to generate.